Bug 869478 - Touchpad only works after logging in
Touchpad only works after logging in
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 23:15 EDT by April
Modified: 2014-02-05 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (79.05 KB, text/plain)
2013-02-01 05:45 EST, April
no flags Details

  None (edit)
Description April 2012-10-23 23:15:57 EDT
Description of problem:
The touchpad on laptop only works after logging in.
On the login screen, I'm unable to select my user name and login using my touchpad, I can only use build in mouse buttons. However, once logged in, the touchpad works just fine.


Version-Release number of selected component (if applicable): Not sure if the component is the right one, I just guessed that it might be.


How reproducible: By restarting PC and entering the login screen.


Steps to Reproduce:
1. Turn on PC
2. Allow PC to enter login screen
3. Try to select user name with touchpad - does not work.
  
Actual results:
Nothing happens when pressing touchpad (ie: does not then enter to the password screen after selecting username).


Expected results:
To be able to enter the login screen using touchpad.


Additional info:
Really not sure if I selected the right component
Comment 1 April 2012-10-23 23:18:48 EDT
This happened on Fedora 17 Desktop Edition downloaded from 
http://download.fedoraproject.org/pub/fedora/linux/releases/17/Live/x86_64/Fedora-17-x86_64-Live-Desktop.iso
on Toshiba Satellite Pro A300 - PSAGDA-00K00R
Comment 2 Peter Hutterer 2013-01-29 02:28:48 EST
Does this still happen or has it been accidentally fixed since?

Can you attach the Xorg.log file from one of the sessions? I don't think it's the driver though given that it does work after login. Might be gdm.
Comment 3 April 2013-01-29 02:38:24 EST
Unfortunately as I had posted this a few months ago I no longer have Fedora installed on this PC, sorry :(
Comment 4 Peter Hutterer 2013-01-29 02:42:17 EST
Ok, thanks. I'll close this as CANTFIX, if you get a chance to re-test and see this bug again please re-open.
Comment 5 April 2013-02-01 05:45:27 EST
Created attachment 915665 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 6 April 2013-02-01 05:55:49 EST
Also, apologies for not attaching the log files properly. I didn't see the attachment section until after I had written the comment - cheers.
Comment 7 Peter Hutterer 2013-02-04 01:06:36 EST
sounds like this one actually http://ubuntuforums.org/showthread.php?t=1101912

Ray, does gdm set anything here? quick git grep in gdm didn't show any synaptics/touchpad mentions.
Comment 8 Ray Strode [halfline] 2013-02-04 12:06:12 EST
gdm doesn't set anything. We do run gnome-settings-daemon from the login screen session.  It could be related to that somehow.
Comment 9 Fedora End Of Life 2013-12-21 10:09:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 17:50:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.